/*
******************************************************************************

   BLT implementation for X target - ROP functions.

   Copyright (C) 2001	Christoph Egger	[Christoph_Egger@t-online.de]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include <stdio.h>
#include <math.h>

#include "xblt.h"

#include <ggi/display/xcommon.h>
#include <ggi/display/x.h>

#include <X11/X.h>

#include <ggi/ggi.h>




int rop_crossblit(ggiBlt_t src, ggiBlt_t dst,
		  enum ggiGA_rop rop)
{
	/* not implemented yet */
	return -1;
}	/* rop_crossblit */


int rop_multicrossblit(ggiBlt_source_list src, size_t nmemb, ggiBlt_t blt)
{
	/* not implemented yet */
	return -1;
}	/* rop_multicrossblit */


int rop_polycrossblit(ggiBlt_source_list src, size_t nmemb, ggiBlt_t blt)
{
	int rc;
	int i;
	int sx,sy,sw,sh;


	if (blt == NULL) return GGI_EARGINVAL;

	for (i = 0; i < nmemb; i++) {
		if (src[i].flag == 0) {
			/* vis */
			sx = src[i].sx;			
			sy = src[i].sy;			
			sw = src[i].sw;			
			sh = src[i].sh;			
		} else {
			/* blt */
			if (src[i].rop == ROP_NOP) {
				rc = fast_crossblit(src[i].blt, blt);
				continue;
			}	/* if */

			sx = 0;			
			sy = 0;			
			sw = src[i].blt->w;			
			sh = src[i].blt->h;			
		}	/* if */

	}	/* for */

	/* not implemented yet */
	return -1;
}	/* rop_polycrossblit */







int rop_crossvis2vis(ggi_visual_t src, int sx,int sy, int sw,int sh,
		     ggi_visual_t dst, int dx, int dy,
		     enum ggiGA_rop rop, enum ggiGA_coordbase cm)
{
	/* not implemented yet */
	return -1;
}	/* rop_crossvis2vis */


int rop_crossblit2vis(ggiBlt_t blt, ggi_visual_t vis, int dx, int dy,
			enum ggiGA_rop rop, enum ggiGA_coordbase cm)
{
	/* not implemented yet */
	return -1;
}	/* rop_crossblit2vis */


int rop_blit2vis(ggiBlt_t blt, int dx, int dy, enum ggiGA_rop rop)
{
	/* not implemented yet */
	return -1;
}	/* rop_blit2vis */
